Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159992 - Add docs detailing which drivers support netconsole
Summary: Add docs detailing which drivers support netconsole
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-09 22:06 UTC by Tim Burke
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:20:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Tim Burke 2005-06-09 22:06:10 UTC
From: Jeff Moyer <jmoyer>
Date: Thu, 19 May 2005 10:57:15 -0400
Subject: [taroon patch] Add docs detailing which drivers support netconsole
Tracking: 0982.jmoyer.netconsole-drvrs-doc.patch
Archives: 2005-May/msg00359.html
Status: committed in -32.5.EL

------------------------------------------------------------------------

Hi,

Currently, our support staff tell customers that they can determine which
adapters support netconsole by doing the following:

  "A simple way to check what drivers have this capability is to install
   the kernel-source package and search the source code in
   /usr/src/kernel-<version> for the definition HAVE_POLL_CONTROLLER."

This is so incredibly poor it hurts.  Here is a patch that will add the
supported driver list to the Documentation/networking directory, which in
turn gets put into the kernel-doc package.

Please ACK.

-Jeff



[updated by petrides on 19-May-2005]

--- linux-2.4.21/Documentation/networking/netconsole.txt.orig
+++ linux-2.4.21/Documentation/networking/netconsole.txt
@@ -0,0 +1,26 @@
+The netconsole module provides 3 pieces of functionality:
+
+    1) generation of syslog messages which are delivered to a remote syslog
+       server
+    2) generation of netconsole messages which are delivered to a remote
+       netdump server
+    3) a network kernel crash dump facility
+
+The configuration for the module is specified in the /etc/sysconfig/netdump
+file, which is self-documented.  Once the parameters are specified in that
+provided you have installed the netdump rpm.
+
+Network drivers must implement a special hook in order to work with
+netconsole.  The following drivers implement this functionality, and thus
+can be used in conjunction with netconsole:
+
+    3c59x
+    b44
+    e100
+    e1000
+    eepro100
+    pcnet32
+    tg3
+    tlan
+    tulip

Comment 2 Ernie Petrides 2005-06-10 04:11:11 UTC
A fix for this problem was committed to the RHEL3 U6 patch pool
on 26-May-2005 (in kernel version 2.4.21-32.5.EL).


Comment 8 Red Hat Bugzilla 2005-09-28 15:20:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.